GuideLab Docs

Get Xero integration status

Retrieve the current Xero integration status, connection state, and configuration for the authenticated lab.

GET
/integrations/xero

Retrieve the current Xero integration status, connection state, and configuration for the authenticated lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/integrations/xero"
{  "paymentImportBlocked": true,  "id": "string",  "isEnabled": true,  "isConnected": true,  "tenantName": "string",  "config": null,  "taxRatesInUse": [    "string"  ],  "pendingConnections": [    {      "id": "string",      "tenantId": "string",      "tenantName": "string"    }  ]}
Empty